<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'employee',

    /*
     * Modules.
     */
    'modules'   => ['employees', 'benefits', 'dependents', 'leaves', 'salary_history', 'attendance', 'newjoinee'],

    'employees'       => [
        'model' => [
            'model'                 => \Bixo\Employee\Models\Employees::class,
            'table'                 => 'employees',
            'presenter'             => \Bixo\Employee\Repositories\Presenter\EmployeesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'office_id',  'division_id',  'department_id',  'manager_id',  'first_name',  'last_name',  'dob',  'gender',  'martial_status',  'religion',  'languages',  'nationality',  'contact_home_address',  'contact_home_phone',  'contact_home_email',  'contact_work_address',  'contact_work_phone',  'contact_work_email',  'contact_work_mobile',  'contact_emergency_name',  'contact_emergency_address',  'contact_emergency_phone',  'contact_emergency_relation',  'employment_job_title',  'employment_user_role',  'employment_start_date',  'employment_end_date',  'account_bank_name',  'account_bank_address',  'account_routing_code',  'account_number',  'account_iban_number',  'account_name',  'contract_business_licence',  'contract_type',  'contract_number',  'contract_start_date',  'contract_end_date',  'contract_copy',  'current_salary',  'user_type',  'created_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/employees',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Employee',
            'module'    => 'Employees',
        ],

    ],
    'benefits'       => [
        'model' => [
            'model'                 => \Bixo\Employee\Models\Benefits::class,
            'table'                 => 'benefits',
            'presenter'             => \Bixo\Employee\Repositories\Presenter\BenefitsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'employee_id',  'benefit_id',  'name',  'description',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/benefits',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Employee',
            'module'    => 'Benefits',
        ],

    ],
    'dependents'       => [
        'model' => [
            'model'                 => \Bixo\Employee\Models\Dependents::class,
            'table'                 => 'dependents',
            'presenter'             => \Bixo\Employee\Repositories\Presenter\DependentsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'employee_id',  'name',  'relation',  'country',  'com_spon_visa',  'com_spon_med_ins',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/dependents',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Employee',
            'module'    => 'Dependents',
        ],

    ],
    'leaves'       => [
        'model' => [
            'model'                 => \Bixo\Employee\Models\Leaves::class,
            'table'                 => 'leaves',
            'presenter'             => \Bixo\Employee\Repositories\Presenter\LeavesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'employee_id',  'paid_leave',  'sick_leave',  'maternity_leave',  'paternity_leave',  'unpaid_leave',  'absence',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/leaves',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Employee',
            'module'    => 'Leaves',
        ],

    ],
    'salary_history'       => [
        'model' => [
            'model'                 => \Bixo\Employee\Models\SalaryHistory::class,
            'table'                 => 'salary_histories',
            'presenter'             => \Bixo\Employee\Repositories\Presenter\SalaryHistoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'employee_id',  'salary',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/salary_history',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Employee',
            'module'    => 'SalaryHistory',
        ],

    ],
    'attendance'       => [
        'model' => [
            'model'                 => \Bixo\Employee\Models\Attendance::class,
            'table'                 => 'attendances',
            'presenter'             => \Bixo\Employee\Repositories\Presenter\AttendancePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'employee_id',  'request_id',  'date',  'type',  'leave_type',  'paid',  'time_in',  'time_out',  'description',  'status',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/attendance',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Employee',
            'module'    => 'Attendance',
        ],

    ],
    'newjoinee'       => [
        'model' => [
            'model'                 => \Bixo\Employee\Models\Newjoinee::class,
            'table'                 => 'newjoinees',
            'presenter'             => \Bixo\Employee\Repositories\Presenter\NewjoineePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'ref',  'user_id',  'org_id',  'branch_id',  'division_id',  'department_id',  'manager_id',  'first_name',  'last_name',  'dob',  'place_of_birth',  'gender',  'martial_status',  'driving_license',  'religion',  'designation',  'languages',  'nationality',  'coo_id',  'mother_name',  'social',  'contact_home_address',  'contact_home_mobile',  'contact_home_phone',  'contact_home_email',  'contact_work_address',  'contact_work_phone',  'contact_work_email',  'contact_work_mobile',  'contact_emergency_name',  'contact_emergency_address',  'contact_emergency_mobile',  'contact_emergency_email',  'contact_emergency_phone',  'contact_emergency_relation',  'employment_job_title',  'employment_user_role',  'employment_start_date',  'employment_end_date',  'account_bank_name',  'account_bank_address',  'account_routing_code',  'account_number',  'account_iban_number',  'account_name',  'contract_business_licence',  'contract_type',  'contract_number',  'contract_start_date',  'contract_end_date',  'contract_copy',  'current_salary',  'current_salary_date',  'prev_salary',  'probation_period',  'passport',  'visa',  'ref_pre_emp',  'ref_uae',  'ref_home',  'notes',  'status',  'notifications',  'upload_folder',  'user_type',  'created_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/newjoinee',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Employee',
            'module'    => 'Newjoinee',
        ],

    ],
];
