<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAttendancesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: attendances
         */
        Schema::create('attendances', function ($table) {
            $table->increments('id');
            $table->integer('employee_id')->nullable();
            $table->integer('request_id')->nullable();
            $table->date('date')->nullable();
            $table->string('type', 30)->nullable();
            $table->string('leave_type', 30)->nullable();
            $table->tinyInteger('paid')->nullable();
            $table->time('time_in')->nullable();
            $table->time('time_out')->nullable();
            $table->text('description')->nullable();
            $table->enum('status', ['Pending','Approved','Rejected',''])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('attendances');
    }
}
