<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDependentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: dependents
         */
        Schema::create('dependents', function ($table) {
            $table->increments('id');
            $table->integer('employee_id')->nullable();
            $table->string('name', 100)->nullable();
            $table->enum('relation', ['Spouse','Child','Parent','Maid','Driver','Other',''])->nullable();
            $table->string('country', 50)->nullable();
            $table->tinyInteger('com_spon_visa')->nullable();
            $table->tinyInteger('com_spon_med_ins')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('dependents');
    }
}
