<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEmployeesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: employees
         */
        Schema::create('employees', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('office_id')->nullable();
            $table->integer('division_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('manager_id')->nullable();
            $table->string('first_name', 80)->nullable();
            $table->string('last_name', 80)->nullable();
            $table->date('dob')->nullable();
            $table->enum('gender', ['Male','Female',''])->nullable();
            $table->enum('martial_status', ['Single','Married','Divorced','Widowed',''])->nullable();
            $table->string('religion', 50)->nullable();
            $table->string('languages', 50)->nullable();
            $table->string('nationality', 60)->nullable();
            $table->text('contact_home_address')->nullable();
            $table->string('contact_home_phone', 30)->nullable();
            $table->string('contact_home_email', 30)->nullable();
            $table->text('contact_work_address')->nullable();
            $table->string('contact_work_phone', 30)->nullable();
            $table->string('contact_work_email', 30)->nullable();
            $table->string('contact_work_mobile', 30)->nullable();
            $table->string('contact_emergency_name', 80)->nullable();
            $table->text('contact_emergency_address')->nullable();
            $table->string('contact_emergency_phone', 30)->nullable();
            $table->string('contact_emergency_relation', 30)->nullable();
            $table->string('employment_job_title', 50)->nullable();
            $table->enum('employment_user_role', ['HR Manager','HR Administrator','C - Level','Employee',''])->nullable();
            $table->date('employment_start_date')->nullable();
            $table->date('employment_end_date')->nullable();
            $table->string('account_bank_name', 50)->nullable();
            $table->text('account_bank_address')->nullable();
            $table->string('account_routing_code', 30)->nullable();
            $table->string('account_number', 30)->nullable();
            $table->string('account_iban_number', 30)->nullable();
            $table->string('account_name', 50)->nullable();
            $table->string('contract_business_licence', 50)->nullable();
            $table->enum('contract_type', ['Full Time','Part Time','Contract','Other',''])->nullable();
            $table->string('contract_number', 50)->nullable();
            $table->date('contract_start_date')->nullable();
            $table->date('contract_end_date')->nullable();
            $table->text('contract_copy')->nullable();
            $table->integer('current_salary')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->integer('created_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('employees');
    }
}
