<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeavesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leaves
         */
        Schema::create('leaves', function ($table) {
            $table->increments('id');
            $table->integer('employee_id')->nullable();
            $table->integer('paid_leave')->nullable();
            $table->integer('sick_leave')->nullable();
            $table->integer('maternity_leave')->nullable();
            $table->integer('paternity_leave')->nullable();
            $table->integer('unpaid_leave')->nullable();
            $table->integer('absence')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leaves');
    }
}
