<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for employees in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  employees module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Employees',
    'names'         => 'Employees',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Employees',
        'sub'   => 'Employees',
        'list'  => 'List of employees',
        'edit'  => 'Edit employees',
        'create'    => 'Create new employees'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'gender'              => ['Male','Female',''],
            'martial_status'      => ['Single','Married','Divorced','Widowed',''],
            'employment_user_role' => ['HR Manager','HR Administrator','C - Level','Employee',''],
            'contract_type'       => ['Full Time','Part Time','Contract','Other',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'office_id'                  => 'Please enter office id',
        'division_id'                => 'Please enter division id',
        'department_id'              => 'Please enter department id',
        'manager_id'                 => 'Please enter manager id',
        'first_name'                 => 'Please enter first name',
        'last_name'                  => 'Please enter last name',
        'dob'                        => 'Please select dob',
        'gender'                     => 'Please select gender',
        'martial_status'             => 'Please select martial status',
        'religion'                   => 'Please enter religion',
        'languages'                  => 'Please enter languages',
        'nationality'                => 'Please enter nationality',
        'contact_home_address'        => 'Please enter contact home address',
        'contact_home_phone'         => 'Please enter contact home phone',
        'contact_home_email'         => 'Please enter contact home email',
        'contact_work_address'        => 'Please enter contact work address',
        'contact_work_phone'         => 'Please enter contact work phone',
        'contact_work_email'         => 'Please enter contact work email',
        'contact_work_mobile'        => 'Please enter contact work mobile',
        'contact_emergency_name'        => 'Please enter contact emergency name',
        'contact_emergency_address'        => 'Please enter contact emergency address',
        'contact_emergency_phone'        => 'Please enter contact emergency phone',
        'contact_emergency_relation'        => 'Please enter contact emergency relation',
        'employment_job_title'        => 'Please enter employment job title',
        'employment_user_role'        => 'Please select employment user role',
        'employment_start_date'        => 'Please select employment start date',
        'employment_end_date'        => 'Please select employment end date',
        'account_bank_name'          => 'Please enter account bank name',
        'account_bank_address'        => 'Please enter account bank address',
        'account_routing_code'        => 'Please enter account routing code',
        'account_number'             => 'Please enter account number',
        'account_iban_number'        => 'Please enter account iban number',
        'account_name'               => 'Please enter account name',
        'contract_business_licence'        => 'Please enter contract business licence',
        'contract_type'              => 'Please select contract type',
        'contract_number'            => 'Please enter contract number',
        'contract_start_date'        => 'Please select contract start date',
        'contract_end_date'          => 'Please select contract end date',
        'contract_copy'              => 'Please enter contract copy',
        'current_salary'             => 'Please enter current salary',
        'user_type'                  => 'Please enter user type',
        'created_id'                 => 'Please enter created id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'office_id'                  => 'Office id',
        'division_id'                => 'Division id',
        'department_id'              => 'Department id',
        'manager_id'                 => 'Manager id',
        'first_name'                 => 'First name',
        'last_name'                  => 'Last name',
        'dob'                        => 'Dob',
        'gender'                     => 'Gender',
        'martial_status'             => 'Martial status',
        'religion'                   => 'Religion',
        'languages'                  => 'Languages',
        'nationality'                => 'Nationality',
        'contact_home_address'        => 'Contact home address',
        'contact_home_phone'         => 'Contact home phone',
        'contact_home_email'         => 'Contact home email',
        'contact_work_address'        => 'Contact work address',
        'contact_work_phone'         => 'Contact work phone',
        'contact_work_email'         => 'Contact work email',
        'contact_work_mobile'        => 'Contact work mobile',
        'contact_emergency_name'        => 'Contact emergency name',
        'contact_emergency_address'        => 'Contact emergency address',
        'contact_emergency_phone'        => 'Contact emergency phone',
        'contact_emergency_relation'        => 'Contact emergency relation',
        'employment_job_title'        => 'Employment job title',
        'employment_user_role'        => 'Employment user role',
        'employment_start_date'        => 'Employment start date',
        'employment_end_date'        => 'Employment end date',
        'account_bank_name'          => 'Account bank name',
        'account_bank_address'        => 'Account bank address',
        'account_routing_code'        => 'Account routing code',
        'account_number'             => 'Account number',
        'account_iban_number'        => 'Account iban number',
        'account_name'               => 'Account name',
        'contract_business_licence'        => 'Contract business licence',
        'contract_type'              => 'Contract type',
        'contract_number'            => 'Contract number',
        'contract_start_date'        => 'Contract start date',
        'contract_end_date'          => 'Contract end date',
        'contract_copy'              => 'Contract copy',
        'current_salary'             => 'Current salary',
        'user_type'                  => 'User type',
        'created_id'                 => 'Created id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'office_id'                  => ['name' => 'Office id', 'data-column' => 1, 'checked'],
        'division_id'                => ['name' => 'Division id', 'data-column' => 2, 'checked'],
        'department_id'              => ['name' => 'Department id', 'data-column' => 3, 'checked'],
        'manager_id'                 => ['name' => 'Manager id', 'data-column' => 4, 'checked'],
        'first_name'                 => ['name' => 'First name', 'data-column' => 5, 'checked'],
        'last_name'                  => ['name' => 'Last name', 'data-column' => 6, 'checked'],
        'dob'                        => ['name' => 'Dob', 'data-column' => 7, 'checked'],
        'gender'                     => ['name' => 'Gender', 'data-column' => 8, 'checked'],
        'martial_status'             => ['name' => 'Martial status', 'data-column' => 9, 'checked'],
        'religion'                   => ['name' => 'Religion', 'data-column' => 10, 'checked'],
        'languages'                  => ['name' => 'Languages', 'data-column' => 11, 'checked'],
        'nationality'                => ['name' => 'Nationality', 'data-column' => 12, 'checked'],
        'contact_home_address'        => ['name' => 'Contact home address', 'data-column' => 13, 'checked'],
        'contact_home_phone'         => ['name' => 'Contact home phone', 'data-column' => 14, 'checked'],
        'contact_home_email'         => ['name' => 'Contact home email', 'data-column' => 15, 'checked'],
        'contact_work_address'        => ['name' => 'Contact work address', 'data-column' => 16, 'checked'],
        'contact_work_phone'         => ['name' => 'Contact work phone', 'data-column' => 17, 'checked'],
        'contact_work_email'         => ['name' => 'Contact work email', 'data-column' => 18, 'checked'],
        'contact_work_mobile'        => ['name' => 'Contact work mobile', 'data-column' => 19, 'checked'],
        'contact_emergency_name'        => ['name' => 'Contact emergency name', 'data-column' => 20, 'checked'],
        'contact_emergency_address'        => ['name' => 'Contact emergency address', 'data-column' => 21, 'checked'],
        'contact_emergency_phone'        => ['name' => 'Contact emergency phone', 'data-column' => 22, 'checked'],
        'contact_emergency_relation'        => ['name' => 'Contact emergency relation', 'data-column' => 23, 'checked'],
        'employment_job_title'        => ['name' => 'Employment job title', 'data-column' => 24, 'checked'],
        'employment_user_role'        => ['name' => 'Employment user role', 'data-column' => 25, 'checked'],
        'employment_start_date'        => ['name' => 'Employment start date', 'data-column' => 26, 'checked'],
        'employment_end_date'        => ['name' => 'Employment end date', 'data-column' => 27, 'checked'],
        'account_bank_name'          => ['name' => 'Account bank name', 'data-column' => 28, 'checked'],
        'account_bank_address'        => ['name' => 'Account bank address', 'data-column' => 29, 'checked'],
        'account_routing_code'        => ['name' => 'Account routing code', 'data-column' => 30, 'checked'],
        'account_number'             => ['name' => 'Account number', 'data-column' => 31, 'checked'],
        'account_iban_number'        => ['name' => 'Account iban number', 'data-column' => 32, 'checked'],
        'account_name'               => ['name' => 'Account name', 'data-column' => 33, 'checked'],
        'contract_business_licence'        => ['name' => 'Contract business licence', 'data-column' => 34, 'checked'],
        'contract_type'              => ['name' => 'Contract type', 'data-column' => 35, 'checked'],
        'contract_number'            => ['name' => 'Contract number', 'data-column' => 36, 'checked'],
        'contract_start_date'        => ['name' => 'Contract start date', 'data-column' => 37, 'checked'],
        'contract_end_date'          => ['name' => 'Contract end date', 'data-column' => 38, 'checked'],
        'contract_copy'              => ['name' => 'Contract copy', 'data-column' => 39, 'checked'],
        'current_salary'             => ['name' => 'Current salary', 'data-column' => 40, 'checked'],
        'created_id'                 => ['name' => 'Created id', 'data-column' => 41, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Employees',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
