<?php

namespace Bixo\Employee\Forms;

class Attendance
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'employee_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::attendance.label.employee_id'),
                    "placeholder" => trans('employee::attendance.placeholder.employee_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'request_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::attendance.label.request_id'),
                    "placeholder" => trans('employee::attendance.placeholder.request_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'date' => [
                    "type" => 'date_picker',
                    "label" => trans('employee::attendance.label.date'),
                    "placeholder" => trans('employee::attendance.placeholder.date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'type' => [
                    "type" => 'text',
                    "label" => trans('employee::attendance.label.type'),
                    "placeholder" => trans('employee::attendance.placeholder.type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'leave_type' => [
                    "type" => 'text',
                    "label" => trans('employee::attendance.label.leave_type'),
                    "placeholder" => trans('employee::attendance.placeholder.leave_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'paid' => [
                    "type" => 'numeric',
                    "label" => trans('employee::attendance.label.paid'),
                    "placeholder" => trans('employee::attendance.placeholder.paid'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'time_in' => [
                    "type" => 'time_picker',
                    "label" => trans('employee::attendance.label.time_in'),
                    "placeholder" => trans('employee::attendance.placeholder.time_in'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'time_out' => [
                    "type" => 'time_picker',
                    "label" => trans('employee::attendance.label.time_out'),
                    "placeholder" => trans('employee::attendance.placeholder.time_out'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('employee::attendance.label.description'),
                    "placeholder" => trans('employee::attendance.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
