<?php

namespace Bixo\Employee\Forms;

class Newjoinee
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'ref' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.ref'),
                    "placeholder" => trans('employee::newjoinee.placeholder.ref'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'org_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.org_id'),
                    "placeholder" => trans('employee::newjoinee.placeholder.org_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'branch_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.branch_id'),
                    "placeholder" => trans('employee::newjoinee.placeholder.branch_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'division_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.division_id'),
                    "placeholder" => trans('employee::newjoinee.placeholder.division_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'department_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.department_id'),
                    "placeholder" => trans('employee::newjoinee.placeholder.department_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'manager_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.manager_id'),
                    "placeholder" => trans('employee::newjoinee.placeholder.manager_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'first_name' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.first_name'),
                    "placeholder" => trans('employee::newjoinee.placeholder.first_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'last_name' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.last_name'),
                    "placeholder" => trans('employee::newjoinee.placeholder.last_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'dob' => [
                    "type" => 'date_picker',
                    "label" => trans('employee::newjoinee.label.dob'),
                    "placeholder" => trans('employee::newjoinee.placeholder.dob'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'place_of_birth' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.place_of_birth'),
                    "placeholder" => trans('employee::newjoinee.placeholder.place_of_birth'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'gender' => [
                    "type" => 'radios',
                    "label" => trans('employee::newjoinee.label.gender'),
                    "placeholder" => trans('employee::newjoinee.placeholder.gender'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'martial_status' => [
                    "type" => 'radios',
                    "label" => trans('employee::newjoinee.label.martial_status'),
                    "placeholder" => trans('employee::newjoinee.placeholder.martial_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'driving_license' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.driving_license'),
                    "placeholder" => trans('employee::newjoinee.placeholder.driving_license'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'religion' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.religion'),
                    "placeholder" => trans('employee::newjoinee.placeholder.religion'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'designation' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.designation'),
                    "placeholder" => trans('employee::newjoinee.placeholder.designation'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'languages' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.languages'),
                    "placeholder" => trans('employee::newjoinee.placeholder.languages'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'nationality' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.nationality'),
                    "placeholder" => trans('employee::newjoinee.placeholder.nationality'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'coo_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.coo_id'),
                    "placeholder" => trans('employee::newjoinee.placeholder.coo_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'mother_name' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.mother_name'),
                    "placeholder" => trans('employee::newjoinee.placeholder.mother_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'social' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.social'),
                    "placeholder" => trans('employee::newjoinee.placeholder.social'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_home_address' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_home_address'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_home_address'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_home_mobile' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_home_mobile'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_home_mobile'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_home_phone' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_home_phone'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_home_phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_home_email' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_home_email'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_home_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_work_address' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_work_address'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_work_address'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_work_phone' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_work_phone'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_work_phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_work_email' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_work_email'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_work_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_work_mobile' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_work_mobile'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_work_mobile'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_emergency_name' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_emergency_name'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_emergency_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_emergency_address' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_emergency_address'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_emergency_address'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_emergency_mobile' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_emergency_mobile'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_emergency_mobile'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_emergency_email' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_emergency_email'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_emergency_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_emergency_phone' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_emergency_phone'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_emergency_phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_emergency_relation' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contact_emergency_relation'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contact_emergency_relation'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'employment_job_title' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.employment_job_title'),
                    "placeholder" => trans('employee::newjoinee.placeholder.employment_job_title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'employment_user_role' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.employment_user_role'),
                    "placeholder" => trans('employee::newjoinee.placeholder.employment_user_role'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'employment_start_date' => [
                    "type" => 'date_picker',
                    "label" => trans('employee::newjoinee.label.employment_start_date'),
                    "placeholder" => trans('employee::newjoinee.placeholder.employment_start_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'employment_end_date' => [
                    "type" => 'date_picker',
                    "label" => trans('employee::newjoinee.label.employment_end_date'),
                    "placeholder" => trans('employee::newjoinee.placeholder.employment_end_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_bank_name' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.account_bank_name'),
                    "placeholder" => trans('employee::newjoinee.placeholder.account_bank_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_bank_address' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.account_bank_address'),
                    "placeholder" => trans('employee::newjoinee.placeholder.account_bank_address'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_routing_code' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.account_routing_code'),
                    "placeholder" => trans('employee::newjoinee.placeholder.account_routing_code'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_number' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.account_number'),
                    "placeholder" => trans('employee::newjoinee.placeholder.account_number'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_iban_number' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.account_iban_number'),
                    "placeholder" => trans('employee::newjoinee.placeholder.account_iban_number'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_name' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.account_name'),
                    "placeholder" => trans('employee::newjoinee.placeholder.account_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contract_business_licence' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contract_business_licence'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contract_business_licence'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contract_type' => [
                    "type" => 'radios',
                    "label" => trans('employee::newjoinee.label.contract_type'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contract_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contract_number' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contract_number'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contract_number'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contract_start_date' => [
                    "type" => 'date_picker',
                    "label" => trans('employee::newjoinee.label.contract_start_date'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contract_start_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contract_end_date' => [
                    "type" => 'date_picker',
                    "label" => trans('employee::newjoinee.label.contract_end_date'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contract_end_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contract_copy' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.contract_copy'),
                    "placeholder" => trans('employee::newjoinee.placeholder.contract_copy'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'current_salary' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.current_salary'),
                    "placeholder" => trans('employee::newjoinee.placeholder.current_salary'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'current_salary_date' => [
                    "type" => 'date_time_picker',
                    "label" => trans('employee::newjoinee.label.current_salary_date'),
                    "placeholder" => trans('employee::newjoinee.placeholder.current_salary_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'prev_salary' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.prev_salary'),
                    "placeholder" => trans('employee::newjoinee.placeholder.prev_salary'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'probation_period' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.probation_period'),
                    "placeholder" => trans('employee::newjoinee.placeholder.probation_period'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'passport' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.passport'),
                    "placeholder" => trans('employee::newjoinee.placeholder.passport'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'visa' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.visa'),
                    "placeholder" => trans('employee::newjoinee.placeholder.visa'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref_pre_emp' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.ref_pre_emp'),
                    "placeholder" => trans('employee::newjoinee.placeholder.ref_pre_emp'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref_uae' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.ref_uae'),
                    "placeholder" => trans('employee::newjoinee.placeholder.ref_uae'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref_home' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.ref_home'),
                    "placeholder" => trans('employee::newjoinee.placeholder.ref_home'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notes' => [
                    "type" => 'text',
                    "label" => trans('employee::newjoinee.label.notes'),
                    "placeholder" => trans('employee::newjoinee.placeholder.notes'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notifications' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.notifications'),
                    "placeholder" => trans('employee::newjoinee.placeholder.notifications'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'created_id' => [
                    "type" => 'numeric',
                    "label" => trans('employee::newjoinee.label.created_id'),
                    "placeholder" => trans('employee::newjoinee.placeholder.created_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
