<?php

namespace Bixo\Employee\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Employees policy
        'Bixo\Employee\Models\Employees' => \Bixo\Employee\Policies\EmployeesPolicy::class,// Bind Benefits policy
        'Bixo\Employee\Models\Benefits' => \Bixo\Employee\Policies\BenefitsPolicy::class,// Bind Dependents policy
        'Bixo\Employee\Models\Dependents' => \Bixo\Employee\Policies\DependentsPolicy::class,// Bind Leaves policy
        'Bixo\Employee\Models\Leaves' => \Bixo\Employee\Policies\LeavesPolicy::class,// Bind SalaryHistory policy
        'Bixo\Employee\Models\SalaryHistory' => \Bixo\Employee\Policies\SalaryHistoryPolicy::class,// Bind Attendance policy
        'Bixo\Employee\Models\Attendance' => \Bixo\Employee\Policies\AttendancePolicy::class,// Bind Newjoinee policy
        'Bixo\Employee\Models\Newjoinee' => \Bixo\Employee\Policies\NewjoineePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
