<?php

namespace Bixo\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AttendanceTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Employee\Models\Attendance $attendance)
    {
        return [
            'id'                => $attendance->getRouteKey(),
            'key'               => [
                'public'    => $attendance->getPublicKey(),
                'route'     => $attendance->getRouteKey(),
            ], 
            'employee_id'       => $attendance->employee_id,
            'request_id'        => $attendance->request_id,
            'date'              => $attendance->date,
            'type'              => $attendance->type,
            'leave_type'        => $attendance->leave_type,
            'paid'              => $attendance->paid,
            'time_in'           => $attendance->time_in,
            'time_out'          => $attendance->time_out,
            'description'       => $attendance->description,
            'user_id'           => $attendance->user_id,
            'user_type'         => $attendance->user_type,
            'deleted_at'        => $attendance->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$attendance->getPublicKey()),
                'user'      => guard_url('employee/attendance/'.$attendance->getRouteKey()),
            ], 
            'status'            => trans('app.'.$attendance->status),
            'created_at'        => format_date($attendance->created_at),
            'updated_at'        => format_date($attendance->updated_at),
        ];
    }
}