<?php

namespace Bixo\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BenefitsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Employee\Models\Benefits $benefits)
    {
        return [
            'id'                => $benefits->getRouteKey(),
            'key'               => [
                'public'    => $benefits->getPublicKey(),
                'route'     => $benefits->getRouteKey(),
            ], 
            'employee_id'       => $benefits->employee_id,
            'benefit_id'        => $benefits->benefit_id,
            'name'              => $benefits->name,
            'description'       => $benefits->description,
            'user_id'           => $benefits->user_id,
            'user_type'         => $benefits->user_type,
            'deleted_at'        => $benefits->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$benefits->getPublicKey()),
                'user'      => guard_url('employee/benefits/'.$benefits->getRouteKey()),
            ], 
            'status'            => trans('app.'.$benefits->status),
            'created_at'        => format_date($benefits->created_at),
            'updated_at'        => format_date($benefits->updated_at),
        ];
    }
}