<?php

namespace Bixo\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DependentsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Employee\Models\Dependents $dependents)
    {
        return [
            'id'                => $dependents->getRouteKey(),
            'key'               => [
                'public'    => $dependents->getPublicKey(),
                'route'     => $dependents->getRouteKey(),
            ], 
            'employee_id'       => $dependents->employee_id,
            'name'              => $dependents->name,
            'relation'          => $dependents->relation,
            'country'           => $dependents->country,
            'com_spon_visa'     => $dependents->com_spon_visa,
            'com_spon_med_ins'  => $dependents->com_spon_med_ins,
            'user_id'           => $dependents->user_id,
            'user_type'         => $dependents->user_type,
            'deleted_at'        => $dependents->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$dependents->getPublicKey()),
                'user'      => guard_url('employee/dependents/'.$dependents->getRouteKey()),
            ], 
            'status'            => trans('app.'.$dependents->status),
            'created_at'        => format_date($dependents->created_at),
            'updated_at'        => format_date($dependents->updated_at),
        ];
    }
}