<?php

namespace Bixo\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmployeesTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Employee\Models\Employees $employees)
    {
        return [
            'id'                => $employees->getRouteKey(),
            'key'               => [
                'public'    => $employees->getPublicKey(),
                'route'     => $employees->getRouteKey(),
            ], 
            'user_id'           => $employees->user_id,
            'office_id'         => $employees->office_id,
            'division_id'       => $employees->division_id,
            'department_id'     => $employees->department_id,
            'manager_id'        => $employees->manager_id,
            'first_name'        => $employees->first_name,
            'last_name'         => $employees->last_name,
            'dob'               => $employees->dob,
            'gender'            => $employees->gender,
            'martial_status'    => $employees->martial_status,
            'religion'          => $employees->religion,
            'languages'         => $employees->languages,
            'nationality'       => $employees->nationality,
            'contact_home_address' => $employees->contact_home_address,
            'contact_home_phone' => $employees->contact_home_phone,
            'contact_home_email' => $employees->contact_home_email,
            'contact_work_address' => $employees->contact_work_address,
            'contact_work_phone' => $employees->contact_work_phone,
            'contact_work_email' => $employees->contact_work_email,
            'contact_work_mobile' => $employees->contact_work_mobile,
            'contact_emergency_name' => $employees->contact_emergency_name,
            'contact_emergency_address' => $employees->contact_emergency_address,
            'contact_emergency_phone' => $employees->contact_emergency_phone,
            'contact_emergency_relation' => $employees->contact_emergency_relation,
            'employment_job_title' => $employees->employment_job_title,
            'employment_user_role' => $employees->employment_user_role,
            'employment_start_date' => $employees->employment_start_date,
            'employment_end_date' => $employees->employment_end_date,
            'account_bank_name' => $employees->account_bank_name,
            'account_bank_address' => $employees->account_bank_address,
            'account_routing_code' => $employees->account_routing_code,
            'account_number'    => $employees->account_number,
            'account_iban_number' => $employees->account_iban_number,
            'account_name'      => $employees->account_name,
            'contract_business_licence' => $employees->contract_business_licence,
            'contract_type'     => $employees->contract_type,
            'contract_number'   => $employees->contract_number,
            'contract_start_date' => $employees->contract_start_date,
            'contract_end_date' => $employees->contract_end_date,
            'contract_copy'     => $employees->contract_copy,
            'current_salary'    => $employees->current_salary,
            'user_type'         => $employees->user_type,
            'created_id'        => $employees->created_id,
            'deleted_at'        => $employees->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$employees->getPublicKey()),
                'user'      => guard_url('employee/employees/'.$employees->getRouteKey()),
            ], 
            'status'            => trans('app.'.$employees->status),
            'created_at'        => format_date($employees->created_at),
            'updated_at'        => format_date($employees->updated_at),
        ];
    }
}