<?php

namespace Bixo\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeavesTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Employee\Models\Leaves $leaves)
    {
        return [
            'id'                => $leaves->getRouteKey(),
            'key'               => [
                'public'    => $leaves->getPublicKey(),
                'route'     => $leaves->getRouteKey(),
            ], 
            'employee_id'       => $leaves->employee_id,
            'paid_leave'        => $leaves->paid_leave,
            'sick_leave'        => $leaves->sick_leave,
            'maternity_leave'   => $leaves->maternity_leave,
            'paternity_leave'   => $leaves->paternity_leave,
            'unpaid_leave'      => $leaves->unpaid_leave,
            'absence'           => $leaves->absence,
            'user_id'           => $leaves->user_id,
            'user_type'         => $leaves->user_type,
            'deleted_at'        => $leaves->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$leaves->getPublicKey()),
                'user'      => guard_url('employee/leaves/'.$leaves->getRouteKey()),
            ], 
            'status'            => trans('app.'.$leaves->status),
            'created_at'        => format_date($leaves->created_at),
            'updated_at'        => format_date($leaves->updated_at),
        ];
    }
}