<?php

namespace Bixo\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NewjoineeTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Employee\Models\Newjoinee $newjoinee)
    {
        return [
            'id'                => $newjoinee->getRouteKey(),
            'key'               => [
                'public'    => $newjoinee->getPublicKey(),
                'route'     => $newjoinee->getRouteKey(),
            ], 
            'ref'               => $newjoinee->ref,
            'user_id'           => $newjoinee->user_id,
            'org_id'            => $newjoinee->org_id,
            'branch_id'         => $newjoinee->branch_id,
            'division_id'       => $newjoinee->division_id,
            'department_id'     => $newjoinee->department_id,
            'manager_id'        => $newjoinee->manager_id,
            'first_name'        => $newjoinee->first_name,
            'last_name'         => $newjoinee->last_name,
            'dob'               => $newjoinee->dob,
            'place_of_birth'    => $newjoinee->place_of_birth,
            'gender'            => $newjoinee->gender,
            'martial_status'    => $newjoinee->martial_status,
            'driving_license'   => $newjoinee->driving_license,
            'religion'          => $newjoinee->religion,
            'designation'       => $newjoinee->designation,
            'languages'         => $newjoinee->languages,
            'nationality'       => $newjoinee->nationality,
            'coo_id'            => $newjoinee->coo_id,
            'mother_name'       => $newjoinee->mother_name,
            'social'            => $newjoinee->social,
            'contact_home_address' => $newjoinee->contact_home_address,
            'contact_home_mobile' => $newjoinee->contact_home_mobile,
            'contact_home_phone' => $newjoinee->contact_home_phone,
            'contact_home_email' => $newjoinee->contact_home_email,
            'contact_work_address' => $newjoinee->contact_work_address,
            'contact_work_phone' => $newjoinee->contact_work_phone,
            'contact_work_email' => $newjoinee->contact_work_email,
            'contact_work_mobile' => $newjoinee->contact_work_mobile,
            'contact_emergency_name' => $newjoinee->contact_emergency_name,
            'contact_emergency_address' => $newjoinee->contact_emergency_address,
            'contact_emergency_mobile' => $newjoinee->contact_emergency_mobile,
            'contact_emergency_email' => $newjoinee->contact_emergency_email,
            'contact_emergency_phone' => $newjoinee->contact_emergency_phone,
            'contact_emergency_relation' => $newjoinee->contact_emergency_relation,
            'employment_job_title' => $newjoinee->employment_job_title,
            'employment_user_role' => $newjoinee->employment_user_role,
            'employment_start_date' => $newjoinee->employment_start_date,
            'employment_end_date' => $newjoinee->employment_end_date,
            'account_bank_name' => $newjoinee->account_bank_name,
            'account_bank_address' => $newjoinee->account_bank_address,
            'account_routing_code' => $newjoinee->account_routing_code,
            'account_number'    => $newjoinee->account_number,
            'account_iban_number' => $newjoinee->account_iban_number,
            'account_name'      => $newjoinee->account_name,
            'contract_business_licence' => $newjoinee->contract_business_licence,
            'contract_type'     => $newjoinee->contract_type,
            'contract_number'   => $newjoinee->contract_number,
            'contract_start_date' => $newjoinee->contract_start_date,
            'contract_end_date' => $newjoinee->contract_end_date,
            'contract_copy'     => $newjoinee->contract_copy,
            'current_salary'    => $newjoinee->current_salary,
            'current_salary_date' => $newjoinee->current_salary_date,
            'prev_salary'       => $newjoinee->prev_salary,
            'probation_period'  => $newjoinee->probation_period,
            'passport'          => $newjoinee->passport,
            'visa'              => $newjoinee->visa,
            'ref_pre_emp'       => $newjoinee->ref_pre_emp,
            'ref_uae'           => $newjoinee->ref_uae,
            'ref_home'          => $newjoinee->ref_home,
            'notes'             => $newjoinee->notes,
            'notifications'     => $newjoinee->notifications,
            'upload_folder'     => $newjoinee->upload_folder,
            'user_type'         => $newjoinee->user_type,
            'created_id'        => $newjoinee->created_id,
            'deleted_at'        => $newjoinee->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$newjoinee->getPublicKey()),
                'user'      => guard_url('employee/newjoinee/'.$newjoinee->getRouteKey()),
            ], 
            'status'            => trans('app.'.$newjoinee->status),
            'created_at'        => format_date($newjoinee->created_at),
            'updated_at'        => format_date($newjoinee->updated_at),
        ];
    }
}