<?php

namespace Bixo\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SalaryHistoryTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Employee\Models\SalaryHistory $salary_history)
    {
        return [
            'id'                => $salary_history->getRouteKey(),
            'key'               => [
                'public'    => $salary_history->getPublicKey(),
                'route'     => $salary_history->getRouteKey(),
            ], 
            'employee_id'       => $salary_history->employee_id,
            'salary'            => $salary_history->salary,
            'user_id'           => $salary_history->user_id,
            'user_type'         => $salary_history->user_type,
            'deleted_at'        => $salary_history->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$salary_history->getPublicKey()),
                'user'      => guard_url('employee/salary_history/'.$salary_history->getRouteKey()),
            ], 
            'status'            => trans('app.'.$salary_history->status),
            'created_at'        => format_date($salary_history->created_at),
            'updated_at'        => format_date($salary_history->updated_at),
        ];
    }
}